package com.muyu.marketing.domain.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
public class ActivityTeamProductSKUModel {
    /**
     * 团购商品Sku的ID
     */
    private Long id;

    /**
     * 拼团ID
     */
    private Long teamId;

    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 规格SKu
     */
    private String  sku;

    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;
}
